<?php
/**
 * Functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package nexter-fse
 * @since 1.0.0
 */
if (!defined('ABSPATH')) {
    exit;
}
/**
 * The theme version.
 *
 * @since 1.0.0
 */
define('NEXTER_FSE_VERSION', wp_get_theme()->get('Version'));
define('NEXTER_FSE_URI', trailingslashit(esc_url(get_template_directory_uri())));
define('NEXTER_FSE_DIR', trailingslashit(get_template_directory()));
define('NEXTER_FSE_JS_URI', get_template_directory_uri() . '/assets/js/');
define('NEXTER_FSE_CSS_URI', get_template_directory_uri() . '/assets/css/');
/**
 * Add theme support for block styles and editor style.
 *
 * @return void
 * @since 1.0.0
 *
 */
function nexter_fse_setup()
{
    add_editor_style('./assets/css/style-shared.min.css');

    load_theme_textdomain( 'nexter-fse', get_template_directory() . '/languages' );


}

add_action('after_setup_theme', 'nexter_fse_setup');

// Filters.
require_once get_theme_file_path('inc/filters.php');

// Block variation example.
require_once get_theme_file_path('inc/register-block-variations.php');

// Block style examples.
require_once get_theme_file_path('inc/register-block-styles.php');

// Block pattern and block category examples.
require_once get_theme_file_path('inc/register-block-patterns.php');

//Panel Settings
require_once NEXTER_FSE_DIR . 'inc/panel-settings/plus-settings-options.php';
//Load Enqueue Styles And Scripts
require_once NEXTER_FSE_DIR . 'inc/nexter-enqueue-style-script.php';

